package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxArrivalOrder.BoxArrivalOrderDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalOrder.BoxArrivalOrderBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 到港订单 Convert
 * @author wlh
 */
@Mapper
public interface BoxArrivalOrderConvert {
    /*****转换MapStruct*****/
    BoxArrivalOrderConvert INSTANCE = Mappers.getMapper(BoxArrivalOrderConvert.class);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxArrivalOrderBackVO convert(BoxArrivalOrderDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxArrivalOrderBackVO> convertList(List<BoxArrivalOrderDO> list);


}
