package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 空运出仓 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_air_checkout")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAirCheckoutDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 出仓日期
     */
    private Date checkoutTime;
    /**
     * 出仓影像
     */
    private String checkoutFiles;
    /**
     * 备注
     */
    private String remark;
    /**
     * 计划箱数
     */
    private Integer planNum;
    /**
     * 实际箱数
     */
    private Integer realNum;

}
