package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 到港 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_arrival")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxArrivalDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 实际到港时间
     */
    private Date apRealTime;
    /**
     * 确认到港时间
     */
    private Date apConfirmTime;
    /**
     * 卸港时间
     */
    private Date apUnloadPortTime;

}
