package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 已装柜标签 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_load_info")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxLoadInfoDO extends BaseDO {

        /**
         *
         */
        @TableId
        private Long id;
        /**
         * 出货单ID
         */
        private Long shipmentId;

    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 编码
     */
    private String orderNumCode;

    /**
     * 是否卸柜
     */
    private Integer isUnload;

    /**
     * 卸柜储位
     */
    private String unloadPosition;

    private Date unloadTime;

}
