package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货短信记录 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_order_sms_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxOrderSmsLogDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单id
     */
    private Long shipmentId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 唛头
     */
    private String marks;
    /**
     * 自编号
     */
    private String selfNo;
    /**
     * 场景编码
     */
    private Integer scene;
    /**
     * 说明
     */
    private String templateCode;
    /**
     * 说明
     */
    private String description;

}
