package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 合包订单 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_pkg_order")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxPkgOrderDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 合包id
     */
    private Long pkgId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单项ID
     */
    private Long orderItemId;

}
