package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 起飞 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_takeoff")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxTakeoffDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 预计头程时间
     */
    private Date estHeadTime;
    /**
     * 实际头程时间
     */
    private Date actHeadTime;
    /**
     * 预计二程时间
     */
    private Date estSecondTime;

}
