package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.Data;

import java.util.List;

@Data
public class MissNumberDO {
    //缺失开始位置
    private Integer missingNumStart;
    //缺失结束位置
    private Integer missingNumEnd;

    public static int getSmallestMissingNumber(List<MissNumberDO> missingNumbers) {
        int min = Integer.MAX_VALUE;
        for (MissNumberDO missingNumber : missingNumbers) {
            if (missingNumber.getMissingNumStart() < min) {
                min = missingNumber.getMissingNumStart();
            }
        }
        return min;
    }
}
