package cn.iocoder.yudao.module.shipment.dal.dataobject.boxCustomsSplit;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货报关拆单提醒 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_customs_split")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCustomsSplitDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;
    /**
     * 拆单的订单
     */
    private String splitOrderIds;
    /**
     * 处理状态，0-未处理，1-已处理
     */
    private Integer dealStatus;

    /**
     * 0-部分退场，1-删单退场
     */
    private Integer type;

}
