package cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderCheckInfo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 理货和合包标签 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_order_check_info")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxOrderCheckInfoDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;

    /**
     * 合包ID
     */
    private Long pkgId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 编码
     */
    private String orderNumCode;
    /**
     * 0-理货，1-合包
     */
    private Integer type;

}
