package cn.iocoder.yudao.module.shipment.dal.dataobject.makeBillOfLading;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 制作提货单 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_make_bill_of_lading")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MakeBillOfLadingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单ID
     */
    private String orderId;
    /**
     * 提货单内容
     */
    private String billContent;
    /**
     * 提货单制作状态
     */
    private Integer status;

    private String bpmProcessId;

    private String imgUrl;

    private Long shipmentId;
}
