package cn.iocoder.yudao.module.shipment.dto;

import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.BoxMergePkgBackVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BoxMergePkgPageDto extends BoxMergePkgBackVO {

    @ApiModelProperty("订单数量")
    private Integer orderCount;

    @ApiModelProperty("箱数")
    private Integer sumCount;

    @ApiModelProperty("入仓体积")
    private BigDecimal sumVolume;

    @ApiModelProperty("入仓重量")
    private BigDecimal sumWeight;

    @ApiModelProperty(value = "入仓数量")
    private Integer sumQuantity;
}
