package cn.iocoder.yudao.module.shipment.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PreloadDto {

    @ExcelProperty("id")
    private String id;//序号

    @ExcelProperty("orderNo")
    private String orderNo;//入仓号

    @ExcelProperty("rucangTime")
    private Date rucangTime;//首次入仓时间

    @ExcelProperty("marks")
    private String marks;//唛头

    @ExcelProperty("prodTitleZh")
    private String prodTitleZh;//货物描述

    @ExcelProperty("quantity")
    private Integer quantity;//数量

    @ExcelProperty("brand")
    private String brand;//品牌

    @ExcelProperty("productRecord")
    private String productRecord;//备案

    @ExcelProperty("prodAttr")
    private String prodAttr;//特性

    @ExcelProperty("customsType")
    private String customsType;//报关方式

    @ExcelProperty("sumNum")
    private Integer sumNum;//总件数

    @ExcelProperty("packageType")
    private String packageType;//包装类型

    @ExcelProperty("unit")
    private String unit;//单位

    @ExcelProperty("boxGauge")
    private String boxGauge;//尺寸

    @ExcelProperty("sumVolume")
    private BigDecimal sumVolume;//体积

    @ExcelProperty("sumWeight")
    private BigDecimal sumWeight;//重量

    @ExcelProperty("number")
    private String number;//快递单号

    @ExcelProperty("princess")
    private String princess;//储位

    @ExcelProperty("merge")
    private String merge;//合单

    @ExcelProperty("relateOrder")
    private String relateOrder;//关联

    @ExcelProperty("material")
    private String material;//材质

    @ExcelProperty("usageIds")
    private String usageIds;//用途

    @ExcelProperty("worth")
    private BigDecimal worth;//货值

    @ExcelProperty("totalWeight")
    private BigDecimal totalWeight;//入仓总重量

    @ExcelProperty("totalVolume")
    private BigDecimal totalVolume;//入仓总方数

}
