package cn.iocoder.yudao.module.shipment.enums;

public enum NoticeTypeEnum {
    CUSTOMS(1, "预计报关时间"),
    LADINGBILL(2, "预计截补料时间"),
    SHIP(3, "预计开船时间"),
    CUTOFF(4, "预计截关时间"),
    ABNORMAL_CUSTOMS(5, "报关异常"),
    ABNORMAL_SHIPPING(6, "起运异常"),
    ABNORMAL_ARRIVAL(7, "到港异常"),
    AGENT(8, "AGENT设置"),
    CUSTOMS_SPLIT(9, "报关部分退场入仓拆单审核通过，预装单、已装单、提单有修改"),
    FLY(10,"起飞异常"),
    AIR_SHIPMENT(11,"出货异常"),
    AIR_CUSTOMS_SPLIT(12, "报关部分退场入仓拆单审核通过，预装单、提单有修改"),
    DELETE_CUSTOMS_SPLIT(13, "报关删单退场入仓拆单审核通过，预装单、提单有修改"),
    OVER_MACHINE_WEIGHT(14, "报关过机异常")
    ;

    private Integer type;

    private String text;

    NoticeTypeEnum(Integer type, String text) {
        this.type = type;
        this.text = text;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}
