package cn.iocoder.yudao.module.shipment.enums;

/**
 * 预装状态
 */
public enum PrStatusEnum {
    NO_PRELOAD(21, "未预装", "no preload"),
    PRELOAD_ING(22, "预装中", "preloading"),
    PRELOAD_APPROVAL_ING(23, "预装审核中", "preload approvaling"),
    PRELOAD_APPROVAL_FAIL(24, "预装审核失败", "preload approval fail"),
    PRELOAD_APPROVAL_SUCCESS(25, "预装审核成功", "preload approval success"),


    PRELOAD_BACK_APPROVAL_ING(27, "预装反审中", "preload back approvaling"),
    PRELOAD_BACK_APPROVAL_SUCCESS(28, "预装反审成功", "preload back approval success"),
    PRELOAD_BACK_APPROVAL_FAIL(29, "预装反审失败", "preload back approval fail")
    ;

    int prStatus;
    String statusNameZh;
    String statusNameEn;

    PrStatusEnum(int prStatus, String statusNameZh, String statusNameEn) {
        this.prStatus = prStatus;
        this.statusNameZh = statusNameZh;
        this.statusNameEn = statusNameEn;
    }

    public int getPrStatus() {
        return prStatus;
    }

    public void setPrStatus(int prStatus) {
        this.prStatus = prStatus;
    }

    public String getStatusNameZh() {
        return statusNameZh;
    }

    public void setStatusNameZh(String statusNameZh) {
        this.statusNameZh = statusNameZh;
    }

    public String getStatusNameEn() {
        return statusNameEn;
    }

    public void setStatusNameEn(String statusNameEn) {
        this.statusNameEn = statusNameEn;
    }
}
