package cn.iocoder.yudao.module.shipment.enums;

public enum SlStatueEnum {

    NO_SETTLEMENT(191, "未结算"),
    SETTLEMENT_ING(192, "结算中"),
    HAS_SETTLEMENT(193, "已结算");

    int slStatus;
    String text;

    SlStatueEnum(int slStatus, String text) {
        this.slStatus = slStatus;
        this.text = text;
    }

    public int getSlStatus() {
        return slStatus;
    }

    public void setSlStatus(int slStatus) {
        this.slStatus = slStatus;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static String getTextName(Integer status) {
        SlStatueEnum[] values = SlStatueEnum.values();
        for (SlStatueEnum slStatueEnum : values) {
            if(slStatueEnum.slStatus == status) return slStatueEnum.text;
        }
        return "";
    }
}
