package cn.iocoder.yudao.module.shipment.service.boxArrivalOrder;

import java.util.*;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxArrivalOrder.BoxArrivalOrderDO;

/**
 * 到港订单 Service 接口
 *
 * @author wlh
 */
public interface BoxArrivalOrderService extends IService<BoxArrivalOrderDO> {


    /**
     * 删除到港订单
     * @param id 编号
     */
    void deleteBoxArrivalOrder(Long id);

    /**
     * 获得到港订单
     * @param id 编号
     * @return 到港订单
     */
    BoxArrivalOrderDO getBoxArrivalOrder(Long id);

    /**
     * 获得到港订单列表
     * @param ids 编号
     * @return 到港订单列表
     */
    List<BoxArrivalOrderDO> getBoxArrivalOrderList(Collection<Long> ids);

   }
