package cn.iocoder.yudao.module.shipment.service.boxArrivalOrder;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.shipment.dal.dataobject.boxArrivalOrder.BoxArrivalOrderDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.boxArrivalOrder.BoxArrivalOrderMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;

/**
 * 到港订单 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxArrivalOrderServiceImpl extends AbstractService<BoxArrivalOrderMapper, BoxArrivalOrderDO> implements BoxArrivalOrderService {

    @Resource
    private BoxArrivalOrderMapper boxArrivalOrderMapper;



    @Override
    public void deleteBoxArrivalOrder(Long id) {
        // 删除
        boxArrivalOrderMapper.deleteById(id);
    }



    @Override
    public BoxArrivalOrderDO getBoxArrivalOrder(Long id) {
        return boxArrivalOrderMapper.selectById(id);
    }

    @Override
    public List<BoxArrivalOrderDO> getBoxArrivalOrderList(Collection<Long> ids) {
        return boxArrivalOrderMapper.selectBatchIds(ids);
    }

}
