package cn.iocoder.yudao.module.shipment.vo.box;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BoxExportVO {

    @ExcelProperty("自编号")
    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ExcelProperty("柜号")
    @ApiModelProperty(value = "柜号")
    private String cubNo;

    @ExcelProperty("柜型")
    @ApiModelProperty(value = "柜型")
    private String cabinet;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private String transportTypeName;

    @ExcelProperty("方数(预装/已装)")
    @ApiModelProperty(value = "方数(预装/已装)")
    private String square;

    @ExcelProperty("重量(预装/已装)")
    @ApiModelProperty(value = "重量(预装/已装)")
    private String weight;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态")
    private String statusName;

    @ExcelProperty("日期")
    @ApiModelProperty(value = "日期")
    private String date;
}
