package cn.iocoder.yudao.module.shipment.vo.box;

import cn.iocoder.yudao.module.ecw.dal.dataobject.region.RegionDO;
import cn.iocoder.yudao.module.order.dto.ContainerNumberSummaryDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("出货财务统计")
public class BoxFinanceBackVO {

    @ApiModelProperty(value = "出货单ID")
    private Long id;

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "191-未结算，192-结算中，193-已结算")
    private Integer slStatus;

    @ApiModelProperty(value = "自编号统计信息")
    private ContainerNumberSummaryDto summaryInfo;

    private RegionDO destRegionDO;

    //------------------------------------------------------------

//    @ApiModelProperty(value = "应收总金额(货币分组列表转换字符串)")
//    private String receivableTotalFeeGroup;
//
//    @ApiModelProperty(value = "到付应收运费")
//    private String destReceivableFreightFeeGroup;
//
//    @ApiModelProperty(value = "到付应收清关费")
//    private String destReceivableClearanceFee;
//
//    @ApiModelProperty(value = "到付应收额外费")
//    private String destReceivableOtherFee;
//
//    @ApiModelProperty(value = "预付应收收运费")
//    private String startReceivableFreightFeeGroup;
//
//    @ApiModelProperty(value = "预付应收清关费")
//    private String startReceivableClearanceFee;
//
//    @ApiModelProperty(value = "预付应收额外费")
//    private String startReceivableOtherFee;
//
//    @ApiModelProperty(value = "折扣运费")
//    private String discountFreightFeeGroup;
//
//    @ApiModelProperty(value = "折扣清关费")
//    private String discountClearanceFee;
//
//    @ApiModelProperty(value = "折扣额外费")
//    private String discountOtherFee;
}
