package cn.iocoder.yudao.module.shipment.vo.box;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

@Data
public class BoxSettlementExcelVO {
    @ExcelProperty(value = "是否结算", index = 0)
    private String slStatusName;

    @ExcelProperty(value = "NO.柜号", index = 1)
    private String selfNo;

    @ExcelProperty(value = "应收款(Accounts receivable", index = 2)
    private String receivable;

    @ExcelProperty(value = "运费(目的地实收)", index = 3)
    private String freightFeeDest;

    @ExcelProperty(value = "清关费(目的地实收)", index = 4)
    private String clearanceFeeDest;

    @ExcelProperty(value = "额外费用(目的地实收)", index = 5)
    private String extraFeeDest;

    @ExcelProperty(value = "运费(中国实收)", index = 6)
    private String freightFee;

    @ExcelProperty(value = "清关费(中国实收)", index = 7)
    private String clearanceFee;

    @ExcelProperty(value = "额外费用(中国实收)", index = 8)
    private String extraFee;

    @ExcelProperty(value = "运费(折扣)", index = 9)
    private String freightFeeDiscount;

    @ExcelProperty(value = "清关费(折扣)", index = 10)
    private String clearanceDiscount;

    @ExcelProperty(value = "额外费用(折扣)", index = 11)
    private String extraFeeDiscount;
}
