package cn.iocoder.yudao.module.shipment.vo.boxAgent;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 代理商agent Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 代理商agent Response VO")
public class BoxAgentBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("代理商ID")
    @ApiModelProperty(value = "代理商ID")
    private Long agentId;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
