package cn.iocoder.yudao.module.shipment.vo.boxApproval;

import cn.iocoder.yudao.module.shipment.vo.box.BoxBackVO;
import cn.iocoder.yudao.module.shipment.vo.box.BoxBaseBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxLoadDetailBackVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BoxLoadDetailVO {

    @ApiModelProperty(value = "出货单详情")
    private BoxBaseBackVO boxBackVO;

    @ApiModelProperty(value = "装载货物详情")
    private BoxLoadDetailBackVO loadDetail;

    @ApiModelProperty(value = "审核详情")
    private BoxApprovalBackVO approvalInfo;

    @ApiModelProperty(value = "装柜详情")
    private BoxCabinetBackVO cabinetVO;

    @ApiModelProperty(value = "卸柜详情")
    private BoxCabinetUnloadBackVO cabinetUnloadVO;
}
