package cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 卸柜异常 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 卸柜异常 Response VO")
public class BoxCabinetUnloadAbnormalBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ExcelProperty("异常类型")
    @ApiModelProperty(value = "异常类型")
    private Integer exceptionType;

    @ExcelProperty("产品ID")
    @ApiModelProperty(value = "产品ID")
    private Long productId;

    @ExcelProperty("件数")
    @ApiModelProperty(value = "件数")
    private Integer productNum;

    @ExcelProperty("异常详情")
    @ApiModelProperty(value = "异常详情")
    private String exceptionDetail;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
