package cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 卸柜异常 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxCabinetUnloadAbnormalBaseVO {

    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "异常类型")
    private Integer exceptionType;

    @ApiModelProperty(value = "产品ID")
    private Long productId;

    @ApiModelProperty(value = "件数")
    private Integer productNum;

    @ApiModelProperty(value = "异常详情")
    private String exceptionDetail;

}
