package cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 卸柜异常查询 VO")
public class BoxCabinetUnloadAbnormalQueryVO {

    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "异常类型")
    private Integer exceptionType;

    @ApiModelProperty(value = "产品ID")
    private Long productId;

    @ApiModelProperty(value = "件数")
    private Integer productNum;

    @ApiModelProperty(value = "异常详情")
    private String exceptionDetail;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
