package cn.iocoder.yudao.module.shipment.vo.boxLadingCopy;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 提单copy Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 提单copy Response VO")
public class BoxLadingCopyBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("提单copy地址")
    @ApiModelProperty(value = "提单copy地址")
    private String copyUrl;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
