package cn.iocoder.yudao.module.shipment.vo.boxLoadInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 外部仓装柜 Request VO")
public class BoxExternalLoadReq {
    @ApiModelProperty(value = "出货单ID", required = true)
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    @ApiModelProperty(value = "装箱数量", required = true)
    private Integer boxNum;

    @ApiModelProperty(value = "密码")
    private String pwd;

    //默认不校验密码，1-需要校验
    private int checkPwd = 0;

}
