package cn.iocoder.yudao.module.shipment.vo.boxLoadInfo;

import cn.iocoder.yudao.module.order.vo.orderLocation.OrderLocationCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 已装柜标签创建 Request VO")
public class BoxLoadInfoCreateReqVO extends BoxLoadInfoBaseVO {

    @ApiModelProperty(value = "订单号，批量操作传这个")
    private String orderNo;


    @ApiModelProperty(value = "卸柜选择的储位列表")
    private List<OrderLocationCreateReqVO> orderLocationList;
}
