package cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Data
@ApiModel("管理后台 - 理货和合包标签remove VO")
@NoArgsConstructor
public class BoxOrderCheckInfoRemoveReqVO {

    @ApiModelProperty(value = "0-理货，1-合包",required = true)
    @NonNull
    private Integer type;

    @ApiModelProperty(value = "出货单ID", required = true)
    private Long shipmentId;

    @ApiModelProperty(value = "订单编号", required = true)
    private String orderNo;

    @ApiModelProperty(value = "起始编号", required = true)
    private Integer startNo;

    @ApiModelProperty(value = "结束编号", required = true)
    private Integer endNo;

}
