package cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 出货短信记录 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxOrderSmsLogBaseVO {

    @ApiModelProperty(value = "出货单id")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "唛头")
    private String marks;

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "场景编码")
    private Integer scene;

    @ApiModelProperty(value = "说明")
    private String templateCode;

    @ApiModelProperty(value = "说明")
    private String description;

}
