package cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods;

import cn.iocoder.yudao.module.order.vo.order.OrderMiniDO;
import cn.iocoder.yudao.module.order.vo.order.OrderPreloadVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BoxOrderPreloadVo extends OrderPreloadVO {

    @ApiModelProperty(value = "商品项列表")
    private List<BoxOrderItemBackVO> boxOrderItemList;

    @ApiModelProperty(value = "关联订单信息")
    private List<OrderMiniDO> relateOrderList;

    @ApiModelProperty(value = "可出商品特性名称列表")
    private List<String> attrNameList;
}
