package cn.iocoder.yudao.module.shipment.vo.boxPreloadSection;

import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAbnormalDO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsDO;
import cn.iocoder.yudao.module.shipment.vo.box.BoxGoodsStatistics;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxLoadOrderVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel("管理后台 - 卸柜订单 Response VO")
public class BoxLoadDetailBackVO {

    @ApiModelProperty(value = "全部统计信息")
    private BoxGoodsStatistics totalStatistics;

    @ApiModelProperty(value = "部分统计信息")
    private BoxGoodsStatistics secStatistics;

    @ApiModelProperty(value = "部分订单商品")
    private List<BoxLoadOrderVO> sectionOrderList;

    private List<BoxAbnormalBackVO> abnormalList;

    @ApiModelProperty(value = "报关信息")
    private BoxCustomsBackVO boxCustomsBackVO;
}
