package cn.iocoder.yudao.module.shipment.vo.makeBillOfLading;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 制作提货单 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class MakeBillOfLadingBaseVO {

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "提货单内容")
    private String billContent;

    @ApiModelProperty(value = "提货单制作状态")
    private Integer status;

    @ApiModelProperty(value = "提货单pdfURL")
    private String imgUrl;

    @ApiModelProperty(value = "是否需要后台生成PDF")
    private Boolean needBackend;

}
