package cn.iocoder.yudao.module.shipment.configuration;

import cn.iocoder.yudao.framework.datapermission.core.dept.rule.DeptDataPermissionRuleCustomizer;
import cn.iocoder.yudao.module.order.dal.dataobject.targetLog.TargetLogDO;
import cn.iocoder.yudao.module.system.dal.dataobject.dept.DeptDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
public class TargetLogDataPermissionConfiguration {

    @Bean
    public DeptDataPermissionRuleCustomizer targetLogPermissionRuleCustomizer() {
        return rule -> {
//            // dept
//            rule.addDeptColumn(AdminUserDO.class);
            rule.addDeptColumn(TargetLogDO.class, "dept_id");
            // user
            rule.addUserColumn(TargetLogDO.class, "user_id");
        };
    }
}
