package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxClearanceOrder.BoxClearanceOrderDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceOrder.BoxClearanceOrderBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 清关订单 Convert
 * @author wlh
 */
@Mapper
public interface BoxClearanceOrderConvert {
    /*****转换MapStruct*****/
    BoxClearanceOrderConvert INSTANCE = Mappers.getMapper(BoxClearanceOrderConvert.class);



    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxClearanceOrderBackVO convert(BoxClearanceOrderDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxClearanceOrderBackVO> convertList(List<BoxClearanceOrderDO> list);


}
