package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxShipConfigDO;
import cn.iocoder.yudao.module.shipment.vo.boxShipConfig.BoxShipConfigBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 配船 Convert
 * @author wlh
 */
@Mapper
public interface BoxShipConfigConvert {
    /*****转换MapStruct*****/
    BoxShipConfigConvert INSTANCE = Mappers.getMapper(BoxShipConfigConvert.class);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxShipConfigBackVO convert(BoxShipConfigDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxShipConfigBackVO> convertList(List<BoxShipConfigDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxShipConfigBackVO> convertPage(PageResult<BoxShipConfigDO> page);
}
