package cn.iocoder.yudao.module.shipment.convert.makeBillOfLading;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.shipment.vo.makeBillOfLading.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.makeBillOfLading.MakeBillOfLadingDO;

/**
 * 制作提货单 Convert
 * @author 系统管理员
 */
@Mapper
public interface MakeBillOfLadingConvert {
    /*****转换MapStruct*****/
    MakeBillOfLadingConvert INSTANCE = Mappers.getMapper(MakeBillOfLadingConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    MakeBillOfLadingDO convert(MakeBillOfLadingCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    MakeBillOfLadingDO convert(MakeBillOfLadingUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    MakeBillOfLadingBackVO convert(MakeBillOfLadingDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<MakeBillOfLadingBackVO> convertList(List<MakeBillOfLadingDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<MakeBillOfLadingBackVO> convertPage(PageResult<MakeBillOfLadingDO> page);
}
