package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 装柜 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_cabinet")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCabinetDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 到仓时间
     */
    private Date ldInWarehouseTime;
    /**
     * 仓库类型
     */
    private Integer ldWarehouseType;
    /**
     * 装柜时间
     */
    private Date ldBoxTime;
    /**
     * 出仓时间
     */
    private Date ldOutWarehouseTime;
    /**
     * 装柜图片
     */
    private String ldPictures;
    /**
     * 最后装柜时间
     */
    private Date lastLdBoxTime;

}
