package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 卸柜异常 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_cabinet_unload_abnormal")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCabinetUnloadAbnormalDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 异常类型
     */
    private Integer exceptionType;
    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 件数
     */
    private Integer productNum;
    /**
     * 异常详情
     */
    private String exceptionDetail;

}
