package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 卸柜 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_cabinet_unload")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCabinetUnloadDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 卸柜网点ID
     */
    private Long ulOutletsId;
    /**
     * 卸柜到仓时间
     */
    private Date ulWarehouseTime;
    /**
     * 卸柜时间
     */
    private Date ulBoxTime;

    /**
     * 卸柜影像
     */
    private String ulImgs;

}
