package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 合包箱 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_merge_pkg")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxMergePkgDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 合包箱号
     */
    private String pkgNum;
    /**
     * 出货id
     */
    private Long shipmentId;
    /**
     * 长
     */
    private java.math.BigDecimal pkgLength;
    /**
     * 宽
     */
    private java.math.BigDecimal pkgWidth;
    /**
     * 高
     */
    private java.math.BigDecimal pkgHight;
    /**
     * 体积
     */
    private java.math.BigDecimal sumVolume;
    /**
     * 重量
     */
    private java.math.BigDecimal sumWeight;
    /**
     * 箱数
     */
    private java.math.BigDecimal sumNum;
    /**
     * 状态
     */
    private Integer status;

}
