package cn.iocoder.yudao.module.shipment.dal.dataobject;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_merge_pkg_number_record")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxMergePkgNumRecordDO  extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 运输方式
     */
    private String transportType;
    /**
     *
     */
    private Integer num;

    /**
     * 目的国家
     */
    private Long destCountryId;

    /**
     * 目的仓库
     */
    private Long destWarehouseId;
}
