package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货操作日志 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_op_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxOpLogDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;

    /**
     * 操作后的状态
     */
    private Integer opStatus;

    /**
     * 操作内容
     */
    private String titleZh;
    /**
     * 操作内容
     */
    private String titleEn;
    /**
     * 操作人名称
     */
    private String operator;

    /**
     * 审核ID
     */
    private Long approvalId;

}
