package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 配船 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_ship_config")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxShipConfigDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;

    private Long shipmentId;

    /**
     * 是否配船：1：免配，2：已配
     */
    private Integer saExmtStatus;

    /**
     * 配船时间
     */
    private Date configTime;

}
