package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 起运 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_shipping")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxShippingDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 实际开船时间
     */
    private Date dtRealShipTime;
    /**
     * 预计到港时间
     */
    private Date dtEstArrivalTime;

}
