package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 理货 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_tally")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxTallyDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 理货状态，0-未理货，1-已理货
     */
    private Integer tallyStatus;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 理货时间
     */
    private Date tallyTime;

}
