package cn.iocoder.yudao.module.shipment.dal.dataobject.boxClearanceOrder;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 清关订单 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_clearance_order")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxClearanceOrderDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 
     */
    private Long orderId;
    /**
     * 
     */
    private String orderNo;
    /**
     * 预计清关时间
     */
    private Date clEstTime;
    /**
     * 清关时间
     */
    private Date clClearTime;

}
