package cn.iocoder.yudao.module.shipment.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class AirLoadDto {

    @ExcelProperty("id")
    private String id;//序号

    @ExcelProperty("orderNo")
    private String orderNo;//入仓号

    @ExcelProperty("marks")
    private String marks;//唛头

    @ExcelProperty("prodTitleZh")
    private String prodTitleZh;//货物描述

    @ExcelProperty("quantity")
    private Integer quantity;//数量

    @ExcelProperty("brand")
    private String brand;//品牌

    @ExcelProperty("productRecord")
    private String productRecord;//备案

    @ExcelProperty("prodAttr")
    private String prodAttr;//特性

    @ExcelProperty("customsType")
    private String customsType;//报关方式

    @ExcelProperty("sumNum")
    private Integer sumNum;//总件数

    @ExcelProperty("packageType")
    private String packageType;//包装类型

    @ExcelProperty("boxGauge")
    private String boxGauge;//尺寸

    @ExcelProperty("sumVolume")
    private BigDecimal sumVolume;//体积

    @ExcelProperty("sumWeight")
    private BigDecimal sumWeight;//重量

    @ExcelProperty("mergePkgNum")
    private Integer mergePkgNum;//出仓箱数

    @ExcelProperty("mergePkgBoxGauge")
    private String mergePkgBoxGauge;//出仓尺寸

    @ExcelProperty("mergePkgVolume")
    private BigDecimal mergePkgVolume;//出仓总体积

    @ExcelProperty("mergePkgWeight")
    private BigDecimal mergePkgWeight;//出仓总重量

    @ExcelProperty("mergePkgQua")
    private Integer mergePkgQua;//出仓总数量

    @ExcelProperty("mergePkgCode")
    private String mergePkgCode;//出仓箱标（合包箱号）

    @ExcelProperty("material")
    private String material;//材质

    @ExcelProperty("usageIds")
    private String usageIds;//用途

    @ExcelProperty("worth")
    private BigDecimal worth;//货值

    @ExcelProperty("totalWeight")
    private BigDecimal totalWeight;//入仓总重量

    @ExcelProperty("totalVolume")
    private BigDecimal totalVolume;//入仓总方数

}
