package cn.iocoder.yudao.module.shipment.enums;


public enum AirShipmentStatusEnum {
    UNSHIPMENT(171, "待出货","unShipment"),

    SHIPMENT_APPROVAL_ING(172, "出货审核中", "SHIPMENT approvaling"),
    SHIPMENT_APPROVAL_FAIL(173, "出货审核失败", "SHIPMENT approval fail"),
    SHIPMENT_APPROVAL_SUCCESS(174, "出货审核成功", "SHIPMENT approval success"),

    SHIPMENT(175, "已出货","shipment"),

    SHIPMENT_BACK_APPROVAL_ING(176, "出货反审中", "SHIPMENT back approvaling"),
    SHIPMENT_BACK_APPROVAL_SUCCESS(177, "出货反审成功", "SHIPMENT back approval success"),
    SHIPMENT_BACK_APPROVAL_FAIL(178, "出货反审失败", "SHIPMENT back approval fail")
    ;

    AirShipmentStatusEnum(int status, String text, String textEn) {
        this.status = status;
        this.text = text;
        this.textEn = textEn;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    int status;
    String text;

    public String getTextEn() {
        return textEn;
    }

    public void setTextEn(String textEn) {
        this.textEn = textEn;
    }

    String textEn;


}
