package cn.iocoder.yudao.module.shipment.enums;

public enum OrderShipmentLog {
    PRELOAD_ADD("添加预装"),
    PRELOAD_REMOVE("移出预装单"),
    TALLY("理货"),
    CABINET_SPLIT_REQUEST("提交装柜拆单申请"),
    CABINET_SPLIT_RESULT_FAIL("提交装柜拆单失败"),
    CABINET_SPLIT_RESULT_SUCCESS("提交装柜拆单通过"),
    CABINET_COMPLETE("订单完成装柜"),
    CABINET_PATCH("装柜补单"),
    CABINET_REMOVE("装柜移出"),
    EXIT_INWAREHOUSE("退场入仓"),
    CABINET_UNLOAD("订单卸柜"),

    CABINET_WAREHOUSE("订单到仓"),


    CABINET_INFO_REMOVE_SINGLE("箱号纠错"),
    CABINET_INFO_REMOVE_BATCH("批量装柜纠错"),

    CABINET_SETTLED("完成封柜"),
    PART_REFUND_SPLIT_REQUEST("提交部分退场拆单申请"),
    PART_REFUND_SPLIT_RESULT_FAIL("提交部分退场拆单失败"),
    PART_REFUND_SPLIT_RESULT_SUCCESS("提交部分退场拆单通过"),
    DELETE_ORDER_REFUND_SPLIT_REQUEST("提交删单退场拆单申请"),
    DELETE_ORDER_REFUND_SPLIT_RESULT_FAIL("提交删单退场拆单失败"),
    DELETE_ORDER_REFUND_SPLIT_RESULT_SUCCESS("提交删单退场拆单通过"),

    AIR_OUT_SHIPMENT("完成出货"),
    AIR_OUT_WAREHOUSED("完成出仓"),

    MERGE_PKG("完成合包"),
    MERGE_PKG_ADD("合包装箱"),
    MERGE_PKG_REMOVE("合包移出"),

    SORTING_ADD("添加分拣"),
    MERGE_PATCH("合包补单"),

    CLEARANCE_BACK("撤销清关")
    ;

    private String type;

    OrderShipmentLog(String type) {
        this.type = type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }
}
