package cn.iocoder.yudao.module.shipment.enums;

/**
 * 分拣状态
 */
public enum StStatusEnum {
    NO_SORTING(21, "未分拣", "no sorting"),
    SORTING(22, "分拣中", "sorting"),
    SORTING_APPROVAL_ING(23, "分拣审核中", "sorting approvaling"),
    SORTING_APPROVAL_FAIL(24, "预分拣审核失败", "sorting approval fail"),
    SORTING_APPROVAL_SUCCESS(25, "分拣审核成功", "sorting approval success"),


    SORTING_BACK_APPROVAL_ING(27, "分拣反审中", "sorting back approvaling"),
    SORTING_BACK_APPROVAL_SUCCESS(28, "分拣反审成功", "sorting back approval success"),
    SORTING_BACK_APPROVAL_FAIL(29, "分拣反审失败", "sorting back approval fail")
    ;

    int stStatus;
    String statusNameZh;
    String statusNameEn;

    StStatusEnum(int stStatus, String statusNameZh, String statusNameEn) {
        this.stStatus = stStatus;
        this.statusNameZh = statusNameZh;
        this.statusNameEn = statusNameEn;
    }

    public int getStStatus() {
        return stStatus;
    }

    public void setStStatus(int stStatus) {
        this.stStatus = stStatus;
    }

    public String getStatusNameZh() {
        return statusNameZh;
    }

    public void setStatusNameZh(String statusNameZh) {
        this.statusNameZh = statusNameZh;
    }

    public String getStatusNameEn() {
        return statusNameEn;
    }

    public void setStatusNameEn(String statusNameEn) {
        this.statusNameEn = statusNameEn;
    }
}
