package cn.iocoder.yudao.module.shipment.service.boxClearanceOrder;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.shipment.dal.dataobject.boxClearanceOrder.BoxClearanceOrderDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.boxClearanceOrder.BoxClearanceOrderMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;

/**
 * 清关订单 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxClearanceOrderServiceImpl extends AbstractService<BoxClearanceOrderMapper, BoxClearanceOrderDO> implements BoxClearanceOrderService {

    @Resource
    private BoxClearanceOrderMapper boxClearanceOrderMapper;



    @Override
    public void deleteBoxClearanceOrder(Long id) {
        // 删除
        boxClearanceOrderMapper.deleteById(id);
    }

    @Override
    public BoxClearanceOrderDO getBoxClearanceOrder(Long id) {
        return boxClearanceOrderMapper.selectById(id);
    }

    @Override
    public List<BoxClearanceOrderDO> getBoxClearanceOrderList(Collection<Long> ids) {
        return boxClearanceOrderMapper.selectBatchIds(ids);
    }
}
