package cn.iocoder.yudao.module.shipment.vo.box;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("web - app - 出货查询 VO")
public class MyBoxLoadQueryVO extends PageVO {

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "状态: 1.待装柜，3.装柜中，5.封柜审批中，7.封柜审批通过")
    private Integer status;

}
