package cn.iocoder.yudao.module.shipment.vo.box;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("web - app - 出货查询 VO")
public class MyBoxUnloadQueryVO extends PageVO {

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "状态: 1.待卸柜，3.卸柜中，5.卸柜审批中，7.已卸柜")
    private Integer status;

}
