package cn.iocoder.yudao.module.shipment.vo.box;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class OrderDealReqVO {
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID列表")
    private List<Long> orderIdList;

    @ApiModelProperty(value = "1-更新订单状态，2-不更新订单状态")
    private Integer type;

    @ApiModelProperty(value = "状态描述")
    private String text;

    @ApiModelProperty(value = "状态描述英文")
    private String textEn;
}
