package cn.iocoder.yudao.module.shipment.vo.boxAirCheckout;

import cn.iocoder.yudao.module.shipment.vo.box.BoxBaseBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("PDA - 空运出仓VO")
public class BoxAirCheckoutPDAVO extends BoxBaseBackVO {


    @ApiModelProperty("目的地")
    private String titleEn;

    @ApiModelProperty(value = "计划数量")
    private long num;

    @ApiModelProperty(value = "计划体积")
    BigDecimal volume = BigDecimal.ZERO;

    @ApiModelProperty(value = "计划重量")
    BigDecimal weight = BigDecimal.ZERO;

    @ApiModelProperty(value = "装柜数量")
    private long loadNum;

    @ApiModelProperty(value = "装柜体积")
    private BigDecimal loadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "装柜重量")
    private BigDecimal loadWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "卸柜数量")
    private long unloadNum;

    @ApiModelProperty(value = "卸柜体积")
    private BigDecimal unloadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "卸柜重量")
    private BigDecimal unloadWeight = BigDecimal.ZERO;

    /**
     * 计划箱数
     */
    @ApiModelProperty(value = "计划箱数")
    private Integer planNum;
    /**
     * 实际箱数
     */
    @ApiModelProperty(value = "实际箱数")
    private Integer realNum;



}
