package cn.iocoder.yudao.module.shipment.vo.boxAirShipment;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 空运出货更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAirShipmentUpdateReqVO extends BoxAirShipmentBaseVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

    @ApiModelProperty(value = "抄送人userId")
    String[] copyUserId;

}
