package cn.iocoder.yudao.module.shipment.vo.boxArrival;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 到港更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxArrivalUpdateReqVO extends BoxArrivalBaseVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

}
