package cn.iocoder.yudao.module.shipment.vo.boxArrivalAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 空运到港创建 Request VO")
public class BoxArrivalAirCreateReqVO extends BoxArrivalAirBaseVO {

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

    @ApiModelProperty(value = "到港订单")
    private List<Long> arriveOrderIdList;
}
