package cn.iocoder.yudao.module.shipment.vo.boxCabinet;

import cn.iocoder.yudao.module.shipment.vo.box.BoxBaseBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxLoadSectionBackVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BoxCabinetLoadVO {
    @ApiModelProperty(value = "出货基本信息")
    private BoxBaseBackVO boxInfo;

    @ApiModelProperty(value = "装载货物详情")
    private List<BoxLoadSectionBackVO> loadDetail;

    @ApiModelProperty(value = "装柜信息")
    BoxCabinetBackVO cabinetInfo;

    @ApiModelProperty(value = "拆单审核信息")
    BoxApprovalBackVO cabinetSplitInfo;

    @ApiModelProperty(value = "卸柜信息")
    BoxCabinetUnloadBackVO cabinetUnloadInfo;

    @ApiModelProperty(value = "报关信息")
    BoxCustomsBackVO customsInfo;
}
