package cn.iocoder.yudao.module.shipment.vo.boxClearance;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 清关创建 Request VO")
public class BoxClearanceCreateReqVO extends BoxClearanceBaseVO {

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

    @ApiModelProperty(value = "清关订单")
    private List<Long> clearanceOrderIdList;
}
