package cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 出货报关拆单提醒 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxCustomsSplitBaseVO {

    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ApiModelProperty(value = "拆单的订单")
    private String splitOrderIds;

    @ApiModelProperty(value = "处理状态，0-未处理，1-已处理")
    private Integer dealStatus;

}
