package cn.iocoder.yudao.module.shipment.vo.boxLadingBill;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 提单补料 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxLadingBillBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "代理商ID")
    private Long agentId;

    @ApiModelProperty(value = "M/BL NO 号码")
    private String blMblNo;

    @ApiModelProperty(value = "SO NO")
    private String soNo;

    @ApiModelProperty(value = "起运港ID")
    private Long startPortId;

    @ApiModelProperty(value = "目的港ID")
    private Long destPortId;

    @ApiModelProperty(value = "船公司ID")
    private Long shipCompanyId;

    @ApiModelProperty(value = "托运供应商ID")
    private Long shipperId;

    @ApiModelProperty(value = "收货供应商ID")
    private Long consigneeId;

    @ApiModelProperty(value = "通知方供应商ID")
    private Long notifyingId;

    @ApiModelProperty(value = "收货供应商名称")
    private String consigneeName;

    @ApiModelProperty(value = "通知方供应商名称")
    private String notifyingName;

    @ApiModelProperty(value = "Mark No")
    private String markNo;

    @ApiModelProperty(value = "包装数量")
    private String packageNum;

    @ApiModelProperty(value = "包装单位")
    private String packageUnit;

    @ApiModelProperty(value = "GrossWeight")
    private java.math.BigDecimal kgs;

    @ApiModelProperty(value = "Mesaurement")
    private java.math.BigDecimal cbm;

    @ApiModelProperty(value = "货物描述")
    private String goodsDesc;

    @ApiModelProperty(value = "拖车柜号信息")
    private String containerSealNo;

    @ApiModelProperty(value = "出单方式：1、正本  2、电放")
    private Integer issueType;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
