package cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* 理货和合包标签 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxOrderCheckInfoBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "合包ID")
    private Long pkgId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "编码")
    private String orderNumCode;

    @ApiModelProperty(value = "0-理货，1-合包")
    private Integer type;

}
