package cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@ApiModel("管理后台 - 理货和合包标签创建 Request VO")
public class BoxOrderCheckInfoCreateReqVO extends BoxOrderCheckInfoBaseVO {

    @ApiModelProperty(value = "0-理货，1-合包")
    @NonNull
    private Integer type;

    @ApiModelProperty(value = "订单号用逗号分割，批量操作传这个")
    private String orderNo;

}
