package cn.iocoder.yudao.module.shipment.vo.boxOrderExit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 退场订单 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxOrderExitBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单实际箱数")
    private Integer num;

    @ApiModelProperty(value = "订单退场箱数")
    private Integer refundNum;

    @ApiModelProperty(value = "0 不需要拆单 1 部分退场待拆单 2 部分退场拆单中 3 部分退场已拆单")
    private Integer splitStatus;

    @ApiModelProperty(value = "是否拆单后的待退场订单")
    private Boolean split = false;
}
