package cn.iocoder.yudao.module.shipment.vo.boxOrderExit;

import cn.iocoder.yudao.module.order.vo.orderLocation.OrderLocationCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 退场订单创建 Request VO")
public class BoxOrderExitCreateReqVO extends BoxOrderExitBaseVO {

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "储位列表")
    private List<OrderLocationCreateReqVO> orderLocationCreateReqVOList;
}
