package cn.iocoder.yudao.module.shipment.vo.boxPreloadSection;

import cn.iocoder.yudao.module.shipment.vo.box.BoxGoodsStatistics;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("管理后台 - 预装部分 Response VO")
public class BoxPreloadSectionDetailVO {

    @ApiModelProperty(value = "预装部分商品")
    private List<BoxPreloadSectionBackVO> sectionGoodList;

    @ApiModelProperty(value = "已预装统计")
    private BoxGoodsStatistics loadStatistics;

    @ApiModelProperty(value = "可用方数")
    private BigDecimal remainVolume;

    @ApiModelProperty(value = "可用体积")
    private BigDecimal remainWeight;

}
