package cn.iocoder.yudao.module.shipment.vo.boxShipping;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 起运创建 Request VO")
public class BoxShippingCreateReqVO extends BoxShippingBaseVO {

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

}
