package cn.iocoder.yudao.module.shipment.vo.boxTally;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class BoxTallyVO {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "提交理货时间")
    private Date tyTime;

    @ApiModelProperty(value = "理货操作人")
    private String tyOperator;

    @ApiModelProperty(value = "理货操作人")
    private String operator;
}
