package cn.iocoder.yudao.module.shipment.vo.futureBox;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 预定舱计划统计查询 VO")
public class FutureBoxTotalQueryVo {
    @ApiModelProperty(value = "始发地仓库id")
    private Long departureId;

    @ApiModelProperty(value = "目的地仓库id")
    private Long objectiveId;

    @ApiModelProperty(value = "运输方式", required = true)
    @NotNull(message = "transport.not.null")
    private Long transportId;

    @ApiModelProperty(value = "出货渠道ID")
    private Long channelId;

    @ApiModelProperty(value = "线路ID")
    private Long lineId;
}
