package cn.iocoder.yudao.module.shipment.vo.makeBillOfLading;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 制作提货单查询 VO")
public class MakeBillOfLadingQueryVO {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "提货单内容")
    private String billContent;

    @ApiModelProperty(value = "提货单制作状态")
    private Integer status;

    @ApiModelProperty(value = "提货单pdfURL")
    private String imgUrl;

}
