package cn.iocoder.yudao.module.shipment.vo.makeBillOfLading;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 制作提货单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MakeBillOfLadingUpdateReqVO extends MakeBillOfLadingBaseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull(message = "主键ID不能为空")
    private Long id;

    @ApiModelProperty(value = "流程抄送人")
    private String[] copyUserId;

}
